# (C) 2001-2024 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


# request TCL package from ACDS 17.1
# 
package require -exact qsys 13.1
# 
# module xcvr_user_tx_fifo_converter
# 
set_module_property DESCRIPTION ""
set_module_property NAME xcvr_user_tx_fifo_converter
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property OPAQUE_ADDRESS_MAP true
set_module_property AUTHOR ""
set_module_property DISPLAY_NAME xcvr_user_tx_fifo_converter
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE true
set_module_property ANALYZE_HDL AUTO
set_module_property REPORT_TO_TALKBACK false
set_module_property ALLOW_GREYBOX_GENERATION false
set_module_property GROUP Devkit_IPs
# 
# file sets
# 
add_fileset QUARTUS_SYNTH QUARTUS_SYNTH "" ""
set_fileset_property QUARTUS_SYNTH TOP_LEVEL xcvr_user_tx_fifo_converter
set_fileset_property QUARTUS_SYNTH ENABLE_RELATIVE_INCLUDE_PATHS false
add_fileset_file xcvr_user_tx_fifo_converter.v VERILOG PATH xcvr_user_tx_fifo_converter.v TOP_LEVEL_FILE
add_fileset SIM_VERILOG SIM_VERILOG "" ""
set_fileset_property SIM_VERILOG TOP_LEVEL xcvr_user_tx_fifo_converter
set_fileset_property SIM_VERILOG ENABLE_RELATIVE_INCLUDE_PATHS false
add_fileset_file xcvr_user_tx_fifo_converter.v VERILOG PATH xcvr_user_tx_fifo_converter.v
# 
# parameters
# 
# 
# display items
# 
# 
# connection point data_pattern_generator_pattern_out
# 
add_interface data_pattern_generator_pattern_out conduit end
set_interface_property data_pattern_generator_pattern_out associatedClock ""
set_interface_property data_pattern_generator_pattern_out associatedReset ""
set_interface_property data_pattern_generator_pattern_out ENABLED true
set_interface_property data_pattern_generator_pattern_out EXPORT_OF ""
set_interface_property data_pattern_generator_pattern_out PORT_NAME_MAP ""
set_interface_property data_pattern_generator_pattern_out CMSIS_SVD_VARIABLES ""
set_interface_property data_pattern_generator_pattern_out SVD_ADDRESS_GROUP ""
add_interface_port data_pattern_generator_pattern_out data_pattern_generator_pattern_out export Output 64
# 
# connection point data_pattern_generator_pattern_out_clk
# 
add_interface data_pattern_generator_pattern_out_clk conduit end
set_interface_property data_pattern_generator_pattern_out_clk associatedClock ""
set_interface_property data_pattern_generator_pattern_out_clk associatedReset ""
set_interface_property data_pattern_generator_pattern_out_clk ENABLED true
set_interface_property data_pattern_generator_pattern_out_clk EXPORT_OF ""
set_interface_property data_pattern_generator_pattern_out_clk PORT_NAME_MAP ""
set_interface_property data_pattern_generator_pattern_out_clk CMSIS_SVD_VARIABLES ""
set_interface_property data_pattern_generator_pattern_out_clk SVD_ADDRESS_GROUP ""
add_interface_port data_pattern_generator_pattern_out_clk data_pattern_generator_pattern_out_clk export Input 1
# 
# connection point data_pattern_generator_pattern_out_fifo_write_clk
# 
add_interface data_pattern_generator_pattern_out_fifo_write_clk conduit end
set_interface_property data_pattern_generator_pattern_out_fifo_write_clk associatedClock ""
set_interface_property data_pattern_generator_pattern_out_fifo_write_clk associatedReset ""
set_interface_property data_pattern_generator_pattern_out_fifo_write_clk ENABLED true
set_interface_property data_pattern_generator_pattern_out_fifo_write_clk EXPORT_OF ""
set_interface_property data_pattern_generator_pattern_out_fifo_write_clk PORT_NAME_MAP ""
set_interface_property data_pattern_generator_pattern_out_fifo_write_clk CMSIS_SVD_VARIABLES ""
set_interface_property data_pattern_generator_pattern_out_fifo_write_clk SVD_ADDRESS_GROUP ""
add_interface_port data_pattern_generator_pattern_out_fifo_write_clk data_pattern_generator_pattern_out_fifo_write_clk export Input 1
# 
# connection point data_pattern_generator_pattern_out_fifo_write
# 
add_interface data_pattern_generator_pattern_out_fifo_write conduit end
set_interface_property data_pattern_generator_pattern_out_fifo_write associatedClock ""
set_interface_property data_pattern_generator_pattern_out_fifo_write associatedReset ""
set_interface_property data_pattern_generator_pattern_out_fifo_write ENABLED true
set_interface_property data_pattern_generator_pattern_out_fifo_write EXPORT_OF ""
set_interface_property data_pattern_generator_pattern_out_fifo_write PORT_NAME_MAP ""
set_interface_property data_pattern_generator_pattern_out_fifo_write CMSIS_SVD_VARIABLES ""
set_interface_property data_pattern_generator_pattern_out_fifo_write SVD_ADDRESS_GROUP ""
add_interface_port data_pattern_generator_pattern_out_fifo_write data_pattern_generator_pattern_out_fifo_write export Input 128
# 
# connection point data_pattern_generator_tx_fifo_rdempty
# 
add_interface data_pattern_generator_tx_fifo_rdempty conduit end
set_interface_property data_pattern_generator_tx_fifo_rdempty associatedClock ""
set_interface_property data_pattern_generator_tx_fifo_rdempty associatedReset ""
set_interface_property data_pattern_generator_tx_fifo_rdempty ENABLED true
set_interface_property data_pattern_generator_tx_fifo_rdempty EXPORT_OF ""
set_interface_property data_pattern_generator_tx_fifo_rdempty PORT_NAME_MAP ""
set_interface_property data_pattern_generator_tx_fifo_rdempty CMSIS_SVD_VARIABLES ""
set_interface_property data_pattern_generator_tx_fifo_rdempty SVD_ADDRESS_GROUP ""
add_interface_port data_pattern_generator_tx_fifo_rdempty data_pattern_generator_tx_fifo_rdempty export Output 1
# 
# connection point data_pattern_generator_tx_fifo_wrfull
# 
add_interface data_pattern_generator_tx_fifo_wrfull conduit end
set_interface_property data_pattern_generator_tx_fifo_wrfull associatedClock ""
set_interface_property data_pattern_generator_tx_fifo_wrfull associatedReset ""
set_interface_property data_pattern_generator_tx_fifo_wrfull ENABLED true
set_interface_property data_pattern_generator_tx_fifo_wrfull EXPORT_OF ""
set_interface_property data_pattern_generator_tx_fifo_wrfull PORT_NAME_MAP ""
set_interface_property data_pattern_generator_tx_fifo_wrfull CMSIS_SVD_VARIABLES ""
set_interface_property data_pattern_generator_tx_fifo_wrfull SVD_ADDRESS_GROUP ""
add_interface_port data_pattern_generator_tx_fifo_wrfull data_pattern_generator_tx_fifo_wrfull export Output 1
# 
# connection point fifo_input
# 
add_interface fifo_input conduit end
set_interface_property fifo_input associatedClock ""
set_interface_property fifo_input associatedReset ""
set_interface_property fifo_input ENABLED true
set_interface_property fifo_input EXPORT_OF ""
set_interface_property fifo_input PORT_NAME_MAP ""
set_interface_property fifo_input CMSIS_SVD_VARIABLES ""
set_interface_property fifo_input SVD_ADDRESS_GROUP ""
add_interface_port fifo_input data datain Output 128
add_interface_port fifo_input wrreq wrreq Output 1
add_interface_port fifo_input rdreq rdreq Output 1
add_interface_port fifo_input wrclk wrclk Output 1
add_interface_port fifo_input rdclk rdclk Output 1
# 
# connection point fifo_output
# 
add_interface fifo_output conduit end
set_interface_property fifo_output associatedClock ""
set_interface_property fifo_output associatedReset ""
set_interface_property fifo_output ENABLED true
set_interface_property fifo_output EXPORT_OF ""
set_interface_property fifo_output PORT_NAME_MAP ""
set_interface_property fifo_output CMSIS_SVD_VARIABLES ""
set_interface_property fifo_output SVD_ADDRESS_GROUP ""
add_interface_port fifo_output q dataout Input 64
add_interface_port fifo_output rdempty rdempty Input 1
add_interface_port fifo_output wrfull wrfull Input 1
