
module q_sys (
	clk_clk,
	i2c_0_i2c_serial_sda_in,
	i2c_0_i2c_serial_scl_in,
	i2c_0_i2c_serial_sda_oe,
	i2c_0_i2c_serial_scl_oe,
	i2c_1_i2c_serial_sda_in,
	i2c_1_i2c_serial_scl_in,
	i2c_1_i2c_serial_sda_oe,
	i2c_1_i2c_serial_scl_oe,
	i2c_2_i2c_serial_sda_in,
	i2c_2_i2c_serial_scl_in,
	i2c_2_i2c_serial_sda_oe,
	i2c_2_i2c_serial_scl_oe,
	i2c_3_i2c_serial_sda_in,
	i2c_3_i2c_serial_scl_in,
	i2c_3_i2c_serial_sda_oe,
	i2c_3_i2c_serial_scl_oe,
	i2c_power_max10_i2c_serial_sda_in,
	i2c_power_max10_i2c_serial_scl_in,
	i2c_power_max10_i2c_serial_sda_oe,
	i2c_power_max10_i2c_serial_scl_oe,
	pio_dipsw_external_connection_export,
	pio_led_g_external_connection_export,
	pio_led_y_external_connection_export,
	pio_pb_external_connection_export,
	reset_reset_n,
	system_max_id_0_control_gui_export,
	system_max_id_0_cpu_resetn_export,
	system_max_id_0_fpga_pgm_export,
	system_max_id_0_fpga_reconfign_export,
	system_max_id_0_page_sel_export,
	system_max_id_0_page_sel_pb_export,
	system_max_id_0_project_id_export,
	system_max_id_0_pwm_duty_ctrl_export,
	system_max_id_0_temp_data_export,
	system_max_id_0_version_export,
	pio_en_sdm_external_connection_export);	

	input		clk_clk;
	input		i2c_0_i2c_serial_sda_in;
	input		i2c_0_i2c_serial_scl_in;
	output		i2c_0_i2c_serial_sda_oe;
	output		i2c_0_i2c_serial_scl_oe;
	input		i2c_1_i2c_serial_sda_in;
	input		i2c_1_i2c_serial_scl_in;
	output		i2c_1_i2c_serial_sda_oe;
	output		i2c_1_i2c_serial_scl_oe;
	input		i2c_2_i2c_serial_sda_in;
	input		i2c_2_i2c_serial_scl_in;
	output		i2c_2_i2c_serial_sda_oe;
	output		i2c_2_i2c_serial_scl_oe;
	input		i2c_3_i2c_serial_sda_in;
	input		i2c_3_i2c_serial_scl_in;
	output		i2c_3_i2c_serial_sda_oe;
	output		i2c_3_i2c_serial_scl_oe;
	input		i2c_power_max10_i2c_serial_sda_in;
	input		i2c_power_max10_i2c_serial_scl_in;
	output		i2c_power_max10_i2c_serial_sda_oe;
	output		i2c_power_max10_i2c_serial_scl_oe;
	input	[5:0]	pio_dipsw_external_connection_export;
	input	[4:0]	pio_led_g_external_connection_export;
	input	[1:0]	pio_led_y_external_connection_export;
	input	[5:0]	pio_pb_external_connection_export;
	input		reset_reset_n;
	output	[7:0]	system_max_id_0_control_gui_export;
	output		system_max_id_0_cpu_resetn_export;
	input	[2:0]	system_max_id_0_fpga_pgm_export;
	output		system_max_id_0_fpga_reconfign_export;
	output	[3:0]	system_max_id_0_page_sel_export;
	input		system_max_id_0_page_sel_pb_export;
	input	[15:0]	system_max_id_0_project_id_export;
	output	[2:0]	system_max_id_0_pwm_duty_ctrl_export;
	output	[7:0]	system_max_id_0_temp_data_export;
	input	[15:0]	system_max_id_0_version_export;
	output		pio_en_sdm_external_connection_export;
endmodule
