# (C) 2001-2024 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


# request TCL package from ACDS 13.1
# 
package require -exact qsys 13.1
# 
# module xcvr_conduit_ctrl
# 
set_module_property DESCRIPTION ""
set_module_property NAME xcvr_conduit_ctrl
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property OPAQUE_ADDRESS_MAP true
set_module_property GROUP Devkit_IPs
set_module_property AUTHOR ""
set_module_property DISPLAY_NAME xcvr_conduit_ctrl
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE true
set_module_property ANALYZE_HDL AUTO
set_module_property REPORT_TO_TALKBACK false
set_module_property ALLOW_GREYBOX_GENERATION false
# 
# file sets
# 
add_fileset QUARTUS_SYNTH QUARTUS_SYNTH "" ""
set_fileset_property QUARTUS_SYNTH TOP_LEVEL xcvr_conduit_ctrl
set_fileset_property QUARTUS_SYNTH ENABLE_RELATIVE_INCLUDE_PATHS false
add_fileset_file xcvr_conduit_ctrl.v VERILOG PATH xcvr_conduit_ctrl.v TOP_LEVEL_FILE
add_fileset SIM_VERILOG SIM_VERILOG "" ""
set_fileset_property SIM_VERILOG TOP_LEVEL xcvr_conduit_ctrl
set_fileset_property SIM_VERILOG ENABLE_RELATIVE_INCLUDE_PATHS false
add_fileset_file xcvr_conduit_ctrl.v VERILOG PATH xcvr_conduit_ctrl.v
# 
# display items
# 
# 
# parameters
# 
add_parameter TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREAD_IN INTEGER 1
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREAD_IN DEFAULT_VALUE 1
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREAD_IN DISPLAY_NAME TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREAD_IN
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREAD_IN TYPE INTEGER
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREAD_IN UNITS None
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREAD_IN ALLOWED_RANGES 0:1
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREAD_IN HDL_PARAMETER true
# 
# parameters
# 
add_parameter TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREQUEST_IN INTEGER 1
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREQUEST_IN DEFAULT_VALUE 1
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREQUEST_IN DISPLAY_NAME TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREQUEST_IN
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREQUEST_IN TYPE INTEGER
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREQUEST_IN UNITS None
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREQUEST_IN ALLOWED_RANGES 0:1
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMREQUEST_IN HDL_PARAMETER true
# 
# parameters
# 
add_parameter TX_NATIVE_PHY_RSFEC_AVMM2_AVMMWRITE_IN INTEGER 1
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMWRITE_IN DEFAULT_VALUE 1
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMWRITE_IN DISPLAY_NAME TX_NATIVE_PHY_RSFEC_AVMM2_AVMMWRITE_IN
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMWRITE_IN TYPE INTEGER
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMWRITE_IN UNITS None
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMWRITE_IN ALLOWED_RANGES 0:1
set_parameter_property TX_NATIVE_PHY_RSFEC_AVMM2_AVMMWRITE_IN HDL_PARAMETER true
# 
# parameters
# 
add_parameter TX_NATIVE_PHY_LATENCY_SCLK INTEGER 1
set_parameter_property TX_NATIVE_PHY_LATENCY_SCLK DEFAULT_VALUE 1
set_parameter_property TX_NATIVE_PHY_LATENCY_SCLK DISPLAY_NAME TX_NATIVE_PHY_LATENCY_SCLK
set_parameter_property TX_NATIVE_PHY_LATENCY_SCLK TYPE INTEGER
set_parameter_property TX_NATIVE_PHY_LATENCY_SCLK UNITS None
set_parameter_property TX_NATIVE_PHY_LATENCY_SCLK ALLOWED_RANGES 0:1
set_parameter_property TX_NATIVE_PHY_LATENCY_SCLK HDL_PARAMETER true
# 
# parameters
# 
add_parameter TX_NATIVE_PHY_TX_DL_MEASURE_SEL INTEGER 1
set_parameter_property TX_NATIVE_PHY_TX_DL_MEASURE_SEL DEFAULT_VALUE 1
set_parameter_property TX_NATIVE_PHY_TX_DL_MEASURE_SEL DISPLAY_NAME TX_NATIVE_PHY_TX_DL_MEASURE_SEL
set_parameter_property TX_NATIVE_PHY_TX_DL_MEASURE_SEL TYPE INTEGER
set_parameter_property TX_NATIVE_PHY_TX_DL_MEASURE_SEL UNITS None
set_parameter_property TX_NATIVE_PHY_TX_DL_MEASURE_SEL ALLOWED_RANGES 0:1
set_parameter_property TX_NATIVE_PHY_TX_DL_MEASURE_SEL HDL_PARAMETER true
# 
# parameters
# 
add_parameter TX_NATIVE_PHY_RX_DL_MEASURE_SEL INTEGER 1
set_parameter_property TX_NATIVE_PHY_RX_DL_MEASURE_SEL DEFAULT_VALUE 1
set_parameter_property TX_NATIVE_PHY_RX_DL_MEASURE_SEL DISPLAY_NAME TX_NATIVE_PHY_RX_DL_MEASURE_SEL
set_parameter_property TX_NATIVE_PHY_RX_DL_MEASURE_SEL TYPE INTEGER
set_parameter_property TX_NATIVE_PHY_RX_DL_MEASURE_SEL UNITS None
set_parameter_property TX_NATIVE_PHY_RX_DL_MEASURE_SEL ALLOWED_RANGES 0:1
set_parameter_property TX_NATIVE_PHY_RX_DL_MEASURE_SEL HDL_PARAMETER true
# 
# connection point reset
# 
add_interface reset reset end
set_interface_property reset associatedClock clock
set_interface_property reset synchronousEdges DEASSERT
set_interface_property reset ENABLED true
set_interface_property reset EXPORT_OF ""
set_interface_property reset PORT_NAME_MAP ""
set_interface_property reset CMSIS_SVD_VARIABLES ""
set_interface_property reset SVD_ADDRESS_GROUP ""
add_interface_port reset reset_n reset_n Input 1
# 
# connection point clock
# 
add_interface clock clock end
set_interface_property clock clockRate 0
set_interface_property clock ENABLED true
set_interface_property clock EXPORT_OF ""
set_interface_property clock PORT_NAME_MAP ""
set_interface_property clock CMSIS_SVD_VARIABLES ""
set_interface_property clock SVD_ADDRESS_GROUP ""
add_interface_port clock clk clk Input 1
# 
# connection point csr
# 
add_interface csr avalon end
set_interface_property csr addressUnits WORDS
set_interface_property csr associatedClock clock
set_interface_property csr associatedReset reset
set_interface_property csr bitsPerSymbol 8
set_interface_property csr burstOnBurstBoundariesOnly false
set_interface_property csr burstcountUnits WORDS
set_interface_property csr explicitAddressSpan 0
set_interface_property csr holdTime 0
set_interface_property csr linewrapBursts false
set_interface_property csr maximumPendingReadTransactions 0
set_interface_property csr readLatency 0
set_interface_property csr readWaitTime 1
set_interface_property csr setupTime 0
set_interface_property csr timingUnits Cycles
set_interface_property csr writeWaitTime 0
set_interface_property csr ENABLED true
set_interface_property csr EXPORT_OF ""
set_interface_property csr PORT_NAME_MAP ""
set_interface_property csr CMSIS_SVD_VARIABLES ""
set_interface_property csr SVD_ADDRESS_GROUP ""
add_interface_port csr csr_address address Input 4
add_interface_port csr csr_read read Input 1
add_interface_port csr csr_write write Input 1
add_interface_port csr csr_readdata readdata Output 32
add_interface_port csr csr_writedata writedata Input 32
set_interface_assignment csr embeddedsw.configuration.isFlash 0
set_interface_assignment csr embeddedsw.configuration.isMemoryDevice 0
set_interface_assignment csr embeddedsw.configuration.isNonVolatileStorage 0
set_interface_assignment csr embeddedsw.configuration.isPrintableDevice 0
# 
# connection point RSFEC_avmm2
# 
add_interface RSFEC_avmm2 conduit end
set_interface_property RSFEC_avmm2 associatedClock ""
set_interface_property RSFEC_avmm2 associatedReset ""
set_interface_property RSFEC_avmm2 ENABLED true
set_interface_property RSFEC_avmm2 EXPORT_OF ""
set_interface_property RSFEC_avmm2 PORT_NAME_MAP ""
set_interface_property RSFEC_avmm2 CMSIS_SVD_VARIABLES ""
set_interface_property RSFEC_avmm2 SVD_ADDRESS_GROUP ""
add_interface_port RSFEC_avmm2 rsfec_avmm2_avmmread_in read Output 1
add_interface_port RSFEC_avmm2 rsfec_avmm2_avmmrequest_in waitrequest Output 1
add_interface_port RSFEC_avmm2 rsfec_avmm2_avmmwrite_in write Output 1
# 
# connection point latency_sclk
# 
add_interface latency_sclk conduit end
set_interface_property latency_sclk associatedClock ""
set_interface_property latency_sclk associatedReset ""
set_interface_property latency_sclk ENABLED true
set_interface_property latency_sclk EXPORT_OF ""
set_interface_property latency_sclk PORT_NAME_MAP ""
set_interface_property latency_sclk CMSIS_SVD_VARIABLES ""
set_interface_property latency_sclk SVD_ADDRESS_GROUP ""
add_interface_port latency_sclk latency_sclk latency_sclk Output 1
# 
# connection point tx_dl_async_pulse
# 
add_interface tx_dl_async_pulse conduit end
set_interface_property tx_dl_async_pulse associatedClock ""
set_interface_property tx_dl_async_pulse associatedReset ""
set_interface_property tx_dl_async_pulse ENABLED true
set_interface_property tx_dl_async_pulse EXPORT_OF ""
set_interface_property tx_dl_async_pulse PORT_NAME_MAP ""
set_interface_property tx_dl_async_pulse CMSIS_SVD_VARIABLES ""
set_interface_property tx_dl_async_pulse SVD_ADDRESS_GROUP ""
add_interface_port tx_dl_async_pulse tx_dl_async_pulse tx_dl_async_pulse Input 1
# 
# connection point tx_dl_measure_sel
# 
add_interface tx_dl_measure_sel conduit end
set_interface_property tx_dl_measure_sel associatedClock ""
set_interface_property tx_dl_measure_sel associatedReset ""
set_interface_property tx_dl_measure_sel ENABLED true
set_interface_property tx_dl_measure_sel EXPORT_OF ""
set_interface_property tx_dl_measure_sel PORT_NAME_MAP ""
set_interface_property tx_dl_measure_sel CMSIS_SVD_VARIABLES ""
set_interface_property tx_dl_measure_sel SVD_ADDRESS_GROUP ""
add_interface_port tx_dl_measure_sel tx_dl_measure_sel tx_dl_measure_sel Output 1
# 
# connection point tx_pma_ready
# 
add_interface tx_pma_ready conduit end
set_interface_property tx_pma_ready associatedClock ""
set_interface_property tx_pma_ready associatedReset ""
set_interface_property tx_pma_ready ENABLED true
set_interface_property tx_pma_ready EXPORT_OF ""
set_interface_property tx_pma_ready PORT_NAME_MAP ""
set_interface_property tx_pma_ready CMSIS_SVD_VARIABLES ""
set_interface_property tx_pma_ready SVD_ADDRESS_GROUP ""
add_interface_port tx_pma_ready tx_pma_ready tx_pma_ready Input 1
# 
# connection point tx_ready
# 
add_interface tx_ready conduit end
set_interface_property tx_ready associatedClock ""
set_interface_property tx_ready associatedReset ""
set_interface_property tx_ready ENABLED true
set_interface_property tx_ready EXPORT_OF ""
set_interface_property tx_ready PORT_NAME_MAP ""
set_interface_property tx_ready CMSIS_SVD_VARIABLES ""
set_interface_property tx_ready SVD_ADDRESS_GROUP ""
add_interface_port tx_ready tx_ready tx_ready Input 1
# 
# connection point rx_dl_async_pulse
# 
add_interface rx_dl_async_pulse conduit end
set_interface_property rx_dl_async_pulse associatedClock ""
set_interface_property rx_dl_async_pulse associatedReset ""
set_interface_property rx_dl_async_pulse ENABLED true
set_interface_property rx_dl_async_pulse EXPORT_OF ""
set_interface_property rx_dl_async_pulse PORT_NAME_MAP ""
set_interface_property rx_dl_async_pulse CMSIS_SVD_VARIABLES ""
set_interface_property rx_dl_async_pulse SVD_ADDRESS_GROUP ""
add_interface_port rx_dl_async_pulse rx_dl_async_pulse rx_dl_async_pulse Input 1
# 
# connection point rx_dl_measure_sel
# 
add_interface rx_dl_measure_sel conduit end
set_interface_property rx_dl_measure_sel associatedClock ""
set_interface_property rx_dl_measure_sel associatedReset ""
set_interface_property rx_dl_measure_sel ENABLED true
set_interface_property rx_dl_measure_sel EXPORT_OF ""
set_interface_property rx_dl_measure_sel PORT_NAME_MAP ""
set_interface_property rx_dl_measure_sel CMSIS_SVD_VARIABLES ""
set_interface_property rx_dl_measure_sel SVD_ADDRESS_GROUP ""
add_interface_port rx_dl_measure_sel rx_dl_measure_sel rx_dl_measure_sel Output 1
# 
# connection point rx_pma_ready
# 
add_interface rx_pma_ready conduit end
set_interface_property rx_pma_ready associatedClock ""
set_interface_property rx_pma_ready associatedReset ""
set_interface_property rx_pma_ready ENABLED true
set_interface_property rx_pma_ready EXPORT_OF ""
set_interface_property rx_pma_ready PORT_NAME_MAP ""
set_interface_property rx_pma_ready CMSIS_SVD_VARIABLES ""
set_interface_property rx_pma_ready SVD_ADDRESS_GROUP ""
add_interface_port rx_pma_ready rx_pma_ready rx_pma_ready Input 1
# 
# connection point rx_ready
# 
add_interface rx_ready conduit end
set_interface_property rx_ready associatedClock ""
set_interface_property rx_ready associatedReset ""
set_interface_property rx_ready ENABLED true
set_interface_property rx_ready EXPORT_OF ""
set_interface_property rx_ready PORT_NAME_MAP ""
set_interface_property rx_ready CMSIS_SVD_VARIABLES ""
set_interface_property rx_ready SVD_ADDRESS_GROUP ""
add_interface_port rx_ready rx_ready rx_ready Input 1
