
module pfl2 (
	pfl_nreset,
	pfl_flash_access_granted,
	pfl_flash_access_request,
	pfl_clk,
	avst_valid,
	avst_ready,
	avst_data,
	avst_clk,
	fpga_pgm,
	fpga_conf_done,
	fpga_nstatus,
	fpga_nconfig,
	flash_sck,
	flash_ncs,
	flash_io0,
	flash_io1,
	flash_io2,
	flash_io3,
	pfl_nreconfigure);	

	input		pfl_nreset;
	input		pfl_flash_access_granted;
	output		pfl_flash_access_request;
	input		pfl_clk;
	output		avst_valid;
	input		avst_ready;
	output	[31:0]	avst_data;
	output		avst_clk;
	input	[2:0]	fpga_pgm;
	input		fpga_conf_done;
	input		fpga_nstatus;
	output		fpga_nconfig;
	output		flash_sck;
	output		flash_ncs;
	inout		flash_io0;
	inout		flash_io1;
	inout		flash_io2;
	inout		flash_io3;
	input		pfl_nreconfigure;
endmodule
