	component q_sys is
		port (
			clk_clk                               : in  std_logic                     := 'X';             -- clk
			i2c_0_i2c_serial_sda_in               : in  std_logic                     := 'X';             -- sda_in
			i2c_0_i2c_serial_scl_in               : in  std_logic                     := 'X';             -- scl_in
			i2c_0_i2c_serial_sda_oe               : out std_logic;                                        -- sda_oe
			i2c_0_i2c_serial_scl_oe               : out std_logic;                                        -- scl_oe
			i2c_1_i2c_serial_sda_in               : in  std_logic                     := 'X';             -- sda_in
			i2c_1_i2c_serial_scl_in               : in  std_logic                     := 'X';             -- scl_in
			i2c_1_i2c_serial_sda_oe               : out std_logic;                                        -- sda_oe
			i2c_1_i2c_serial_scl_oe               : out std_logic;                                        -- scl_oe
			i2c_2_i2c_serial_sda_in               : in  std_logic                     := 'X';             -- sda_in
			i2c_2_i2c_serial_scl_in               : in  std_logic                     := 'X';             -- scl_in
			i2c_2_i2c_serial_sda_oe               : out std_logic;                                        -- sda_oe
			i2c_2_i2c_serial_scl_oe               : out std_logic;                                        -- scl_oe
			i2c_3_i2c_serial_sda_in               : in  std_logic                     := 'X';             -- sda_in
			i2c_3_i2c_serial_scl_in               : in  std_logic                     := 'X';             -- scl_in
			i2c_3_i2c_serial_sda_oe               : out std_logic;                                        -- sda_oe
			i2c_3_i2c_serial_scl_oe               : out std_logic;                                        -- scl_oe
			i2c_power_max10_i2c_serial_sda_in     : in  std_logic                     := 'X';             -- sda_in
			i2c_power_max10_i2c_serial_scl_in     : in  std_logic                     := 'X';             -- scl_in
			i2c_power_max10_i2c_serial_sda_oe     : out std_logic;                                        -- sda_oe
			i2c_power_max10_i2c_serial_scl_oe     : out std_logic;                                        -- scl_oe
			pio_dipsw_external_connection_export  : in  std_logic_vector(5 downto 0)  := (others => 'X'); -- export
			pio_led_g_external_connection_export  : in  std_logic_vector(4 downto 0)  := (others => 'X'); -- export
			pio_led_y_external_connection_export  : in  std_logic_vector(1 downto 0)  := (others => 'X'); -- export
			pio_pb_external_connection_export     : in  std_logic_vector(5 downto 0)  := (others => 'X'); -- export
			reset_reset_n                         : in  std_logic                     := 'X';             -- reset_n
			system_max_id_0_control_gui_export    : out std_logic_vector(7 downto 0);                     -- export
			system_max_id_0_cpu_resetn_export     : out std_logic;                                        -- export
			system_max_id_0_fpga_pgm_export       : in  std_logic_vector(2 downto 0)  := (others => 'X'); -- export
			system_max_id_0_fpga_reconfign_export : out std_logic;                                        -- export
			system_max_id_0_page_sel_export       : out std_logic_vector(3 downto 0);                     -- export
			system_max_id_0_page_sel_pb_export    : in  std_logic                     := 'X';             -- export
			system_max_id_0_project_id_export     : in  std_logic_vector(15 downto 0) := (others => 'X'); -- export
			system_max_id_0_pwm_duty_ctrl_export  : out std_logic_vector(2 downto 0);                     -- export
			system_max_id_0_temp_data_export      : out std_logic_vector(7 downto 0);                     -- export
			system_max_id_0_version_export        : in  std_logic_vector(15 downto 0) := (others => 'X'); -- export
			pio_en_sdm_external_connection_export : out std_logic                                         -- export
		);
	end component q_sys;

	u0 : component q_sys
		port map (
			clk_clk                               => CONNECTED_TO_clk_clk,                               --                            clk.clk
			i2c_0_i2c_serial_sda_in               => CONNECTED_TO_i2c_0_i2c_serial_sda_in,               --               i2c_0_i2c_serial.sda_in
			i2c_0_i2c_serial_scl_in               => CONNECTED_TO_i2c_0_i2c_serial_scl_in,               --                               .scl_in
			i2c_0_i2c_serial_sda_oe               => CONNECTED_TO_i2c_0_i2c_serial_sda_oe,               --                               .sda_oe
			i2c_0_i2c_serial_scl_oe               => CONNECTED_TO_i2c_0_i2c_serial_scl_oe,               --                               .scl_oe
			i2c_1_i2c_serial_sda_in               => CONNECTED_TO_i2c_1_i2c_serial_sda_in,               --               i2c_1_i2c_serial.sda_in
			i2c_1_i2c_serial_scl_in               => CONNECTED_TO_i2c_1_i2c_serial_scl_in,               --                               .scl_in
			i2c_1_i2c_serial_sda_oe               => CONNECTED_TO_i2c_1_i2c_serial_sda_oe,               --                               .sda_oe
			i2c_1_i2c_serial_scl_oe               => CONNECTED_TO_i2c_1_i2c_serial_scl_oe,               --                               .scl_oe
			i2c_2_i2c_serial_sda_in               => CONNECTED_TO_i2c_2_i2c_serial_sda_in,               --               i2c_2_i2c_serial.sda_in
			i2c_2_i2c_serial_scl_in               => CONNECTED_TO_i2c_2_i2c_serial_scl_in,               --                               .scl_in
			i2c_2_i2c_serial_sda_oe               => CONNECTED_TO_i2c_2_i2c_serial_sda_oe,               --                               .sda_oe
			i2c_2_i2c_serial_scl_oe               => CONNECTED_TO_i2c_2_i2c_serial_scl_oe,               --                               .scl_oe
			i2c_3_i2c_serial_sda_in               => CONNECTED_TO_i2c_3_i2c_serial_sda_in,               --               i2c_3_i2c_serial.sda_in
			i2c_3_i2c_serial_scl_in               => CONNECTED_TO_i2c_3_i2c_serial_scl_in,               --                               .scl_in
			i2c_3_i2c_serial_sda_oe               => CONNECTED_TO_i2c_3_i2c_serial_sda_oe,               --                               .sda_oe
			i2c_3_i2c_serial_scl_oe               => CONNECTED_TO_i2c_3_i2c_serial_scl_oe,               --                               .scl_oe
			i2c_power_max10_i2c_serial_sda_in     => CONNECTED_TO_i2c_power_max10_i2c_serial_sda_in,     --     i2c_power_max10_i2c_serial.sda_in
			i2c_power_max10_i2c_serial_scl_in     => CONNECTED_TO_i2c_power_max10_i2c_serial_scl_in,     --                               .scl_in
			i2c_power_max10_i2c_serial_sda_oe     => CONNECTED_TO_i2c_power_max10_i2c_serial_sda_oe,     --                               .sda_oe
			i2c_power_max10_i2c_serial_scl_oe     => CONNECTED_TO_i2c_power_max10_i2c_serial_scl_oe,     --                               .scl_oe
			pio_dipsw_external_connection_export  => CONNECTED_TO_pio_dipsw_external_connection_export,  --  pio_dipsw_external_connection.export
			pio_led_g_external_connection_export  => CONNECTED_TO_pio_led_g_external_connection_export,  --  pio_led_g_external_connection.export
			pio_led_y_external_connection_export  => CONNECTED_TO_pio_led_y_external_connection_export,  --  pio_led_y_external_connection.export
			pio_pb_external_connection_export     => CONNECTED_TO_pio_pb_external_connection_export,     --     pio_pb_external_connection.export
			reset_reset_n                         => CONNECTED_TO_reset_reset_n,                         --                          reset.reset_n
			system_max_id_0_control_gui_export    => CONNECTED_TO_system_max_id_0_control_gui_export,    --    system_max_id_0_control_gui.export
			system_max_id_0_cpu_resetn_export     => CONNECTED_TO_system_max_id_0_cpu_resetn_export,     --     system_max_id_0_cpu_resetn.export
			system_max_id_0_fpga_pgm_export       => CONNECTED_TO_system_max_id_0_fpga_pgm_export,       --       system_max_id_0_fpga_pgm.export
			system_max_id_0_fpga_reconfign_export => CONNECTED_TO_system_max_id_0_fpga_reconfign_export, -- system_max_id_0_fpga_reconfign.export
			system_max_id_0_page_sel_export       => CONNECTED_TO_system_max_id_0_page_sel_export,       --       system_max_id_0_page_sel.export
			system_max_id_0_page_sel_pb_export    => CONNECTED_TO_system_max_id_0_page_sel_pb_export,    --    system_max_id_0_page_sel_pb.export
			system_max_id_0_project_id_export     => CONNECTED_TO_system_max_id_0_project_id_export,     --     system_max_id_0_project_id.export
			system_max_id_0_pwm_duty_ctrl_export  => CONNECTED_TO_system_max_id_0_pwm_duty_ctrl_export,  --  system_max_id_0_pwm_duty_ctrl.export
			system_max_id_0_temp_data_export      => CONNECTED_TO_system_max_id_0_temp_data_export,      --      system_max_id_0_temp_data.export
			system_max_id_0_version_export        => CONNECTED_TO_system_max_id_0_version_export,        --        system_max_id_0_version.export
			pio_en_sdm_external_connection_export => CONNECTED_TO_pio_en_sdm_external_connection_export  -- pio_en_sdm_external_connection.export
		);

